Functions
IT_Management
Peripheral Driver » LL Driver » I2C » Functions
Collaboration diagram for IT_Management:

## Functions
__STATIC_INLINE void | ll_i2c_enable_it (i2c_regs_t *I2Cx, uint32_t mask)
| Enable specified interrupts. More...
__STATIC_INLINE void | ll_i2c_disable_it (i2c_regs_t *I2Cx, uint32_t mask)
| Disable specified interrupts. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it (i2c_regs_t *I2Cx, uint32_t mask)
| Check if the specified interrupts are enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_scl_stuck_at_low (i2c_regs_t *I2Cx)
| Enable SCL_STUCK_AT_LOW interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_scl_stuck_at_low (i2c_regs_t *I2Cx)
| Disable SCL_STUCK_AT_LOW interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_scl_stuck_at_low (i2c_regs_t *I2Cx)
| Check if the SCL_STUCK_AT_LOW Interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_master_on_hold (i2c_regs_t *I2Cx)
| Enable MASTER_ON_HOLD interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_master_on_hold (i2c_regs_t *I2Cx)
| Disable MASTER_ON_HOLD interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_master_on_hold (i2c_regs_t *I2Cx)
| Check if the MASTER_ON_HOLD Interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_restart_det (i2c_regs_t *I2Cx)
| Enable RESTART_DET interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_restart_det (i2c_regs_t *I2Cx)
| Disable RESTART_DET interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_restart_det (i2c_regs_t *I2Cx)
| Check if the RESTART_DET Interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_gen_call (i2c_regs_t *I2Cx)
| Enable GEN_CALL interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_gen_call (i2c_regs_t *I2Cx)
| Disable GEN_CALL interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_gen_call (i2c_regs_t *I2Cx)
| Check if GEN_CALL interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_start_det (i2c_regs_t *I2Cx)
| Enable START_DET received interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_start_det (i2c_regs_t *I2Cx)
| Disable START_DET received interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_start_det (i2c_regs_t *I2Cx)
| Check if START_DET received interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_stop_det (i2c_regs_t *I2Cx)
| Enable STOP_DET interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_stop_det (i2c_regs_t *I2Cx)
| Disable STOP_DET interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_stop_det (i2c_regs_t *I2Cx)
| Check if STOP_DET interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_activity (i2c_regs_t *I2Cx)
| Enable ACTIVITY interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_activity (i2c_regs_t *I2Cx)
| Disable ACTIVITY interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_activity (i2c_regs_t *I2Cx)
| Check if ACTIVITY interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_done (i2c_regs_t *I2Cx)
| Enable RX_DONE interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_rx_done (i2c_regs_t *I2Cx)
| Disable RX_DONE interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enable_it_rx_done (i2c_regs_t *I2Cx)
| Check if RX_DONE interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_abort (i2c_regs_t *I2Cx)
| Enable TX_ABRT interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_tx_abort (i2c_regs_t *I2Cx)
| Disable TX_ABRT interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_tx_abort (i2c_regs_t *I2Cx)
| Check if TX_ABRT interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_read_req (i2c_regs_t *I2Cx)
| Enable RD_REQ interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_read_req (i2c_regs_t *I2Cx)
| Disable RD_REQ interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_read_req (i2c_regs_t *I2Cx)
| Check if RD_REQ interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_tx_empty (i2c_regs_t *I2Cx)
| Enable TX_EMPTY interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_tx_empty (i2c_regs_t *I2Cx)
| Disable TX_EMPTY interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_tx_empty (i2c_regs_t *I2Cx)
| Check if TX_EMPTY interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_tx_over (i2c_regs_t *I2Cx)
| Enable TX_OVER interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_tx_over (i2c_regs_t *I2Cx)
| Disable TX_OVER interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_tx_over (i2c_regs_t *I2Cx)
| Check if TX_OVER interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_full (i2c_regs_t *I2Cx)
| Enable RX_FULL interrupt. More...
__STATIC_INLINE void | ll_i2c_disbale_it_rx_full (i2c_regs_t *I2Cx)
| Disable RX_FULL interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_ls_enabled_it_rx_full (i2c_regs_t *I2Cx)
| Check if RX_FULL interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_over (i2c_regs_t *I2Cx)
| Enable RX_OVER interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_rx_over (i2c_regs_t *I2Cx)
| Disable RX_OVER interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_rx_over (i2c_regs_t *I2Cx)
| Check if RX_OVER interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_i2c_enable_it_rx_under (i2c_regs_t *I2Cx)
| Enable RX_UNDER interrupt. More...
__STATIC_INLINE void | ll_i2c_disable_it_rx_under (i2c_regs_t *I2Cx)
| Disable RX_UNDER interrupt. More...
__STATIC_INLINE uint32_t | ll_i2c_is_enabled_it_rx_under (i2c_regs_t *I2Cx)
| Check if RX_UNDER interrupt is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_i2c_disable_it()

__STATIC_INLINE void ll_i2c_disable_it | ( | i2c_regs_t * | I2Cx,
|  | uint32_t | mask
| ) |  |

Disable specified interrupts.

Register | BitsName
--- | ---
INT_MASK | MASK_GEN_CALL
INT_MASK | MASK_START_DET
INT_MASK | MASK_STOP_DET
INT_MASK | MASK_ACTIVITY
INT_MASK | MASK_RX_DONE
INT_MASK | MASK_TX_ABRT
INT_MASK | MASK_RD_REQ
INT_MASK | MASK_TX_EMPTY
INT_MASK | MASK_TX_OVER
INT_MASK | MASK_RX_FULL
INT_MASK | MASK_RX_OVER
INT_MASK | MASK_RX_UNDER

Parameters

  I2Cx | I2C instance.
  mask | This parameter can be a combination of the following values: LL_I2C_INTR_MASK_GEN_CALL LL_I2C_INTR_MASK_START_DET LL_I2C_INTR_MASK_STOP_DET LL_I2C_INTR_MASK_ACTIVITY LL_I2C_INTR_MASK_RX_DONE LL_I2C_INTR_MASK_TX_ABRT LL_I2C_INTR_MASK_RD_REQ LL_I2C_INTR_MASK_TX_EMPTY LL_I2C_INTR_MASK_TX_OVER LL_I2C_INTR_MASK_RX_FULL LL_I2C_INTR_MASK_RX_OVER LL_I2C_INTR_MASK_RX_UNDER

Return values

  None. |

Definition at line 1633 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_activity()

__STATIC_INLINE void ll_i2c_disable_it_activity | ( | i2c_regs_t * | I2Cx | ) |

Disable ACTIVITY interrupt.

Register | BitsName
--- | ---
INT_MASK | ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1971 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_gen_call()

__STATIC_INLINE void ll_i2c_disable_it_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Disable GEN_CALL interrupt.

Register | BitsName
--- | ---
INT_MASK | GEN_CALL

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1836 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_master_on_hold()

__STATIC_INLINE void ll_i2c_disable_it_master_on_hold | ( | i2c_regs_t * | I2Cx | ) |

Disable MASTER_ON_HOLD interrupt.

Register | BitsName
--- | ---
INT_MASK | M_HOLD

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1746 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_read_req()

__STATIC_INLINE void ll_i2c_disable_it_read_req | ( | i2c_regs_t * | I2Cx | ) |

Disable RD_REQ interrupt.

Register | BitsName
--- | ---
INT_MASK | RD_REQ

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2106 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_restart_det()

__STATIC_INLINE void ll_i2c_disable_it_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Disable RESTART_DET interrupt.

Register | BitsName
--- | ---
INT_MASK | RESTART_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1791 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_rx_done()

__STATIC_INLINE void ll_i2c_disable_it_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Disable RX_DONE interrupt.

Register | BitsName
--- | ---
INT_MASK | RX_DONE

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2016 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_rx_over()

__STATIC_INLINE void ll_i2c_disable_it_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Disable RX_OVER interrupt.

Register | BitsName
--- | ---
INT_MASK | RX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2286 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_rx_under()

__STATIC_INLINE void ll_i2c_disable_it_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Disable RX_UNDER interrupt.

Register | BitsName
--- | ---
INT_MASK | RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2331 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_scl_stuck_at_low()

__STATIC_INLINE void ll_i2c_disable_it_scl_stuck_at_low | ( | i2c_regs_t * | I2Cx | ) |

Disable SCL_STUCK_AT_LOW interrupt.

Register | BitsName
--- | ---
INT_MASK | SCL_STUCK_AT_LOW

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1701 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_start_det()

__STATIC_INLINE void ll_i2c_disable_it_start_det | ( | i2c_regs_t * | I2Cx | ) |

Disable START_DET received interrupt.

Register | BitsName
--- | ---
INT_MASK | START_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1881 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_stop_det()

__STATIC_INLINE void ll_i2c_disable_it_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Disable STOP_DET interrupt.

Register | BitsName
--- | ---
INT_MASK | STOP_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1926 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_tx_abort()

__STATIC_INLINE void ll_i2c_disable_it_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Disable TX_ABRT interrupt.

Register | BitsName
--- | ---
INT_MASK | TX_ABORT

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2061 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_tx_empty()

__STATIC_INLINE void ll_i2c_disable_it_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Disable TX_EMPTY interrupt.

Register | BitsName
--- | ---
INT_MASK | TX_EMPTY

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2151 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disable_it_tx_over()

__STATIC_INLINE void ll_i2c_disable_it_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Disable TX_OVER interrupt.

Register | BitsName
--- | ---
INT_MASK | TX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2196 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_disbale_it_rx_full()

__STATIC_INLINE void ll_i2c_disbale_it_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Disable RX_FULL interrupt.

Register | BitsName
--- | ---
INT_MASK | RX_FULL

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2241 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it()

__STATIC_INLINE void ll_i2c_enable_it | ( | i2c_regs_t * | I2Cx,
|  | uint32_t | mask
| ) |  |

Enable specified interrupts.

Register | BitsName
--- | ---
INT_MASK | MASK_GEN_CALL
INT_MASK | MASK_START_DET
INT_MASK | MASK_STOP_DET
INT_MASK | MASK_ACTIVITY
INT_MASK | MASK_RX_DONE
INT_MASK | MASK_TX_ABRT
INT_MASK | MASK_RD_REQ
INT_MASK | MASK_TX_EMPTY
INT_MASK | MASK_TX_OVER
INT_MASK | MASK_RX_FULL
INT_MASK | MASK_RX_OVER
INT_MASK | MASK_RX_UNDER

Parameters

  I2Cx | I2C instance.
  mask | This parameter can be a combination of the following values: LL_I2C_INTR_MASK_GEN_CALL LL_I2C_INTR_MASK_START_DET LL_I2C_INTR_MASK_STOP_DET LL_I2C_INTR_MASK_ACTIVITY LL_I2C_INTR_MASK_RX_DONE LL_I2C_INTR_MASK_TX_ABRT LL_I2C_INTR_MASK_RD_REQ LL_I2C_INTR_MASK_TX_EMPTY LL_I2C_INTR_MASK_TX_OVER LL_I2C_INTR_MASK_RX_FULL LL_I2C_INTR_MASK_RX_OVER LL_I2C_INTR_MASK_RX_UNDER

Return values

  None. |

Definition at line 1594 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_activity()

__STATIC_INLINE void ll_i2c_enable_it_activity | ( | i2c_regs_t * | I2Cx | ) |

Enable ACTIVITY interrupt.

Register | BitsName
--- | ---
INT_MASK | ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1956 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_gen_call()

__STATIC_INLINE void ll_i2c_enable_it_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Enable GEN_CALL interrupt.

Register | BitsName
--- | ---
INT_MASK | GEN_CALL

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1821 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_master_on_hold()

__STATIC_INLINE void ll_i2c_enable_it_master_on_hold | ( | i2c_regs_t * | I2Cx | ) |

Enable MASTER_ON_HOLD interrupt.

Register | BitsName
--- | ---
INT_MASK | M_HOLD

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1731 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_read_req()

__STATIC_INLINE void ll_i2c_enable_it_read_req | ( | i2c_regs_t * | I2Cx | ) |

Enable RD_REQ interrupt.

Register | BitsName
--- | ---
INT_MASK | RD_REQ

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2091 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_restart_det()

__STATIC_INLINE void ll_i2c_enable_it_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Enable RESTART_DET interrupt.

Register | BitsName
--- | ---
INT_MASK | RESTART_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1776 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_abort()

__STATIC_INLINE void ll_i2c_enable_it_rx_abort | ( | i2c_regs_t * | I2Cx | ) |

Enable TX_ABRT interrupt.

Register | BitsName
--- | ---
INT_MASK | TX_ABORT

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2046 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_done()

__STATIC_INLINE void ll_i2c_enable_it_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Enable RX_DONE interrupt.

Register | BitsName
--- | ---
INT_MASK | RX_DONE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2001 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_full()

__STATIC_INLINE void ll_i2c_enable_it_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Enable RX_FULL interrupt.

Register | BitsName
--- | ---
INT_MASK | RX_FULL

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2226 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_over()

__STATIC_INLINE void ll_i2c_enable_it_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Enable RX_OVER interrupt.

Register | BitsName
--- | ---
INT_MASK | RX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2271 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_rx_under()

__STATIC_INLINE void ll_i2c_enable_it_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Enable RX_UNDER interrupt.

Register | BitsName
--- | ---
INT_MASK | RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2316 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_scl_stuck_at_low()

__STATIC_INLINE void ll_i2c_enable_it_scl_stuck_at_low | ( | i2c_regs_t * | I2Cx | ) |

Enable SCL_STUCK_AT_LOW interrupt.

Register | BitsName
--- | ---
INT_MASK | SCL_STUCK_AT_LOW

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1687 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_start_det()

__STATIC_INLINE void ll_i2c_enable_it_start_det | ( | i2c_regs_t * | I2Cx | ) |

Enable START_DET received interrupt.

Register | BitsName
--- | ---
INT_MASK | START_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1866 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_stop_det()

__STATIC_INLINE void ll_i2c_enable_it_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Enable STOP_DET interrupt.

Register | BitsName
--- | ---
INT_MASK | STOP_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 1911 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_tx_empty()

__STATIC_INLINE void ll_i2c_enable_it_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Enable TX_EMPTY interrupt.

Register | BitsName
--- | ---
INT_MASK | TX_EMPTY

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2136 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_enable_it_tx_over()

__STATIC_INLINE void ll_i2c_enable_it_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Enable TX_OVER interrupt.

Register | BitsName
--- | ---
INT_MASK | TX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2181 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enable_it_rx_done()

__STATIC_INLINE uint32_t ll_i2c_is_enable_it_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Check if RX_DONE interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | RX_DONE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2031 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it | ( | i2c_regs_t * | I2Cx,
|  | uint32_t | mask
| ) |  |

Check if the specified interrupts are enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | MASK_GEN_CALL
INT_MASK | MASK_START_DET
INT_MASK | MASK_STOP_DET
INT_MASK | MASK_ACTIVITY
INT_MASK | MASK_RX_DONE
INT_MASK | MASK_TX_ABRT
INT_MASK | MASK_RD_REQ
INT_MASK | MASK_TX_EMPTY
INT_MASK | MASK_TX_OVER
INT_MASK | MASK_RX_FULL
INT_MASK | MASK_RX_OVER
INT_MASK | MASK_RX_UNDER

Parameters

  I2Cx | I2C instance.
  mask | This parameter can be a combination of the following values: LL_I2C_INTR_MASK_GEN_CALL LL_I2C_INTR_MASK_START_DET LL_I2C_INTR_MASK_STOP_DET LL_I2C_INTR_MASK_ACTIVITY LL_I2C_INTR_MASK_RX_DONE LL_I2C_INTR_MASK_TX_ABRT LL_I2C_INTR_MASK_RD_REQ LL_I2C_INTR_MASK_TX_EMPTY LL_I2C_INTR_MASK_TX_OVER LL_I2C_INTR_MASK_RX_FULL LL_I2C_INTR_MASK_RX_OVER LL_I2C_INTR_MASK_RX_UNDER

Return values

  State | of bit (1 or 0).

Definition at line 1672 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_activity()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_activity | ( | i2c_regs_t * | I2Cx | ) |

Check if ACTIVITY interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1986 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_gen_call()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Check if GEN_CALL interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | GEN_CALL

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1851 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_master_on_hold()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_master_on_hold | ( | i2c_regs_t * | I2Cx | ) |

Check if the MASTER_ON_HOLD Interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | M_HOLD

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1761 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_read_req()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_read_req | ( | i2c_regs_t * | I2Cx | ) |

Check if RD_REQ interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | RD_REQ

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2121 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_restart_det()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Check if the RESTART_DET Interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | RESTART_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1806 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_rx_over()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Check if RX_OVER interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | RX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2301 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_rx_under()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Check if RX_UNDER interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2346 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_scl_stuck_at_low()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_scl_stuck_at_low | ( | i2c_regs_t * | I2Cx | ) |

Check if the SCL_STUCK_AT_LOW Interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | SCL_STUCK_AT_LOW

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1715 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_start_det()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_start_det | ( | i2c_regs_t * | I2Cx | ) |

Check if START_DET received interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | START_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1896 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_stop_det()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Check if STOP_DET interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | STOP_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 1941 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_tx_abort()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Check if TX_ABRT interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | TX_ABORT

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2076 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_tx_empty()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Check if TX_EMPTY interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | TX_EMPTY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2166 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_enabled_it_tx_over()

__STATIC_INLINE uint32_t ll_i2c_is_enabled_it_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Check if TX_OVER interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | TX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2211 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_ls_enabled_it_rx_full()

__STATIC_INLINE uint32_t ll_i2c_ls_enabled_it_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Check if RX_FULL interrupt is enabled or disabled.

Register | BitsName
--- | ---
INT_MASK | RX_FULL

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2256 of file gr55xx_ll_i2c.h.